解决 0x6a83 或 0x6811 错误

本文将介绍如何解决影响以太坊相关应用程序(如 Flare、Songbird 或币安智能链)的 0x6a83 或 0x6811 错误。

什么是 0x6a83 和 0x6811 错误?

0x6a83 和 0x6811 错误基本相同。发生哪一种取决于您的 Ledger 设备型号和固件版本。

根本原因是依赖项错误。如果未安装其他应用程序(应用程序)并更新到最新版本,某个应用程序(从属应用程序)无法安装或更新,则会发生依赖项错误。

最近一直受 0x6a83/0x6811 错误影响的例子就是 Songbird (SBG) 和以太坊 (ETH) 用户。此处为示例之一,其中用户在尝试将以太坊 (ETH) 应用程序更新到最新版本时遇到 0x6a83 错误。

Schermafbeelding_2021-08-01_om_00.03.07.png

为什么会发生 0x6a83 和 0x6811 错误?

目前,受此错误影响的主要是在 Ledger 设备上安装了测试版 Flare 应用程序的用户。Ledger Live 中的应用目录错误地提供了该应用程序的测试版,随后又将其从目录中删除。

由于 Flare、Songbird 和以太坊应用程序之间存在依赖关系,在您的 Ledger 设备上安装旧的测试版 Flare 应用程序会导致以太坊应用程序或任何其他基于以太坊的应用程序更新受阻(例如币安智能链和 Songbird 应用程序)。

如何解决 0x6a83 和 0x6811错误?

从 Ledger 设备中删除测试版 Flare 应用程序将解决此问题。具体操作如下。

  1. 打开 Ledger Live。
  2. 前往 Settings(设置),选择 Experimental features(实验性功能)选项卡,然后使用切换按钮激活 Developer mode(开发者模式)
  3. 前往 Manager(管理器)选项卡并将您的 Ledger 设备连接到管理器。
  4. App installed(已安装的应用程序)菜单中找到 Flare 应用程序,然后点击回收站图标卸载该应用程序。
  5. 将您的 Ledger 设备重新连接到 Manager(管理器)工具,在“已安装应用程序”部分找到以太坊应用程序,然后将其更新到最新版本。
    以太坊应用程序将更新。
  6. 返回 Settings(设置),选择 Experimental features(实验性功能)选项卡并使用切换按钮关闭 Developer mode(开发者模式)

这篇文章有帮助吗?